Subject: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Jun 2020 14:29:34 -0400

Hi!

Pierre Neidhardt <[email-masked]> writes:

> Efraim Flashner <[email-masked]> writes:
>
>> I always understood that as with compression you're using 51G instead of
>> 88G, and because of deduplication from the daemon it would only be 88G
>> instead of 217G. I took the numbers from 'none' to mean that the daemon
>> itself already did a lot of deduplication.
>
> That's what I understood as well.

tl;dr Your understanding is correct.

I was under the impression that hard links shouldn't inflate the numbers
reported under the "Referenced" column.

I just asked over #btrfs and while hard links shouldn't inflate those
numbers (as hard links aren't reflinks), they currently do.  It's a bug.

Maxim